For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
      • POSTCreate Incoming Transaction
      • POSTCreate Audit
      • GETGet Audit Status
Get supportSee a Demo
API ReferenceTransactions

Create Audit

POST
/transactions/audit
POST
/transactions/audit
$curl -X POST https://rewards-api.getkard.com/transactions/audit \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "transactionId": "some cardlinked transaction id",
> "auditCode": 8001,
> "merchantName": "Caribbean Goodness",
> "auditDescription": "duplicate",
> "preferredContactEmail": "someone@company.com",
> "issuer": "Bank of You",
> "transactionAmountInCents": 2600,
> "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
> "merchantId": "5e27318c9b346f00087fbb32",
> "submitterName": "Submitter Name"
>}'
1{
2 "_id": "5eb2d4a39ce24e00081488c4",
3 "transactionId": "some cardlinked transaction id",
4 "auditCode": 8001,
5 "merchantName": "Caribbean Goodness",
6 "auditDescription": "duplicate",
7 "preferredContactEmail": "someone@company.com",
8 "status": "NEW",
9 "transactionAmountInCents": 2600,
10 "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
11 "merchantId": "5e27318c9b346f00087fbb32",
12 "submitterName": "Submitter Name"
13}

Call this endpoint to request that a particular transaction be audited further by the Kard system, in the event of a missing cashback claim, incorrect cashback amount claim or other mis-match claims.
Required scopes: audit:write

Was this page helpful?
Previous

Get Audit Status

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
transactionIdstringRequired
Transaction ID from issuer to audit
auditCodeintegerRequired

Audit Code - Enum. Please submit the code that is most relevant to your audit request.

  • 3005 : Customer is claiming cashback is incorrect - INCORRECT CASHBACK CLAIM
  • 3006 : Transaction is missing the cashback award - MISSING CASHBACK AWARD
  • 8001 : Other - check audit description
merchantNamestringRequired
Merchant name related to the transaction audit
auditDescriptionstringRequired
Audit Description. Please provide more details around the audit
preferredContactEmailstringRequired
Preferred contact email to message to as audit is reviewed
issuerstringRequired
Issuer name
transactionAmountInCentsintegerOptional
Transaction amount in cents
referringPartnerUserIdstringOptional
Referring partner user ID associated with the transaction to audit
merchantIdstringOptional
Related merchant ID in Kard's system associated to the transaction audit
submitterNamestringOptional
Submitter name

Response

This endpoint returns an object.
_idstring
Audit Request ID
transactionIdstring
Cardlinked Transaction ID
auditCodeinteger

Audit Code - Enum

  • 3005 : Customer is claiming cashback is incorrect - INCORRECT CASHBACK CLAIM
  • 3006 : Transaction is missing the cashback award - MISSING CASHBACK AWARD
  • 8001 : Other - check audit description
merchantNamestring
Merchant name
auditDescriptionstring
Audit Description
preferredContactEmailstring
Preferred Contact Email
statusenum
Status of Audit
Allowed values:
transactionAmountInCentsinteger
Transaction amount in cents
referringPartnerUserIdstring
User ID
merchantIdstring
Internal Kard Merchant ID
submitterNamestring
Submitter Name

Errors

400
Invalid Request
401
Unauthorized Error
409
Conflict Error
500
Internal Server Error